<?php
/*
 * Author: Etienne Gauthier (etienne_sf@sourceforge.net)
 * 
 * Receive a picture uploaded by the jupload.php script (through the JUpload applet)
 * 
 * Up to date version of this script can be retrieved with the full JUpload package, here:
 * 
 * http://etienne.lesgauhthier.fr/wiki
 * 
 * Directly here:
 * http://etienne.lesgauthier.fr/wiki/doku.php?id=jupload_coppermine_download_gb
 * 
 * The applet is published on sourceforge:
 * http://jupload.sourceforge.net
 * 
 */


if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...');}
if (!defined('JUPLOAD_PHP')) { die('Not in Jupload...');}


//####################################################################################################
//#################################     INCLUDES    ##################################################
//####################################################################################################

// Confirm we are in Coppermine and set the language blocks.
define('IN_COPPERMINE', true);
//Let's also include the upload text.
define('UPLOAD_PHP', true);
define('JUPLOAD_PHP', true);
define('JUPLOAD_LOG_ERROR_PHP', true);
define('DB_INPUT_PHP', true);
define('ADMIN_PHP', true);

//All includes works from the coppermine root directory. Let's go to it :
chdir('../..');

// Call basic functions, etc.
require('include/init.inc.php');
require('include/picmgmt.inc.php');
require('include/mailer.inc.php');

//Localisation. Handled from specific files, to make upgrade of coppermine easier:
//Currently: only one translation=english.  ;-)
if ($lang_translation_info['lang_country_code'] == 'fr') {
	require('plugins/jupload/lang/french.php');
} else {
	require('plugins/jupload/lang/english.php');
}
// Globalize $CONFIG.
global $CONFIG, $lang_jupload_php, $user_form, $max_file_size;


//####################################################################################################
//################################# MAIN CODE BLOCK ##################################################
//####################################################################################################

//This script should only be called by the JUpload applet. This means that the current user has upload 
//authorization. If not, someone is trying to spam the admin. 
if (!USER_CAN_UPLOAD_PICTURES) {
    cpg_die(ERROR, $lang_jupload_php['perm_denied'], __FILE__, __LINE__);
}
//Get  parameters.
$description	= isset($_POST['description']	) ? $_POST['description'] 	: '';
$log		 	= isset($_POST['log']			) ? $_POST['log'] 			: '';

//Set local variables, from coppermine configuration
$url_parsed		= parse_url($CONFIG['site_url']);
$to				= $CONFIG['gallery_admin_email'];
$from			= $CONFIG['gallery_admin_email'];
$current_user	= "$USER_NAME (${user_data['user_email']})";  

$headers		= "From: $from\r\n" .
					"Content-type: text/plain\r\n";
$subject		= "[log_error]$description";
$body			= "An error occured in JUpload applet, for the user ${USER_DATA['user_name']} (mail: $current_user)."
					. "\n\nHere is the debug output for his session within the applet:\n\n"
					.str_replace("\n", "\r\n", $log);

echo ("to: $to\n");
echo ("from: $from\n");
echo ("description: $description\n") ;
echo ("body: $log\n") ;


//Let's send the mail.
$return = cpg_mail ($to, $subject, $body, 'text/plain', 'jupload', $from);
if ($return == 'Mail sent!') {
	$return  ="SUCCESS";
} else if ($return == ""){
	$return = "Error : cpg_mail returned an empty string !";
}

if ($return != 'SUCCESS') {
	//It's an error. We log it, into the main Coppermine Log.
	log_write("$body\r\n$return");
}

/*
if (mail($to, $subject, $body, $headers)) {
	echo "SUCCESS";
} else if ($return == ""){
	//To bad, it's an error.
	echo "Error while sending the mail.";
}
*/

